from typing import Optional
from pydantic import BaseModel
from fastapi import UploadFile

class ImageUploadDTO(BaseModel):
    exif_date: Optional[str] = None
    caption: Optional[str] = None

class ImageUpdateCaptionDTO(BaseModel):
    caption: str 