from typing import Optional, List
from pydantic import BaseModel

class Pin(BaseModel):
    id: Optional[str]
    title: str
    description: str
    location: list 
    files: Optional[List[str]] = []  # Liste des IDs d'images
    user_id: str